Template: interchange/mode
Type: select
_Choices: unix mode, internet mode, both
Default: unix mode
_Description: Start mode:
 Unix mode is is the most secure way to run Interchange, for there is no
 way for systems on the internet to interact with the Interchange server.

Template: interchange/user
Type: string
Default: interchange
_Description: Username to run the server as:
 This determines the user for the interchange server and for file
 permissions. Please note that using another user has serious security
 implications. Don't choose root, it is not recommended and will be
 discarded anyway.

Template: interchange/createuser
Type: boolean
Default: true
_Description: Create the user ${USER}?

Template: interchange/usernoroot
Type: error
_Description: Impossible to run interchange as root !
 You have been warned. Either choose an appropriate user or stay with the
 default.

Template: interchange/group
Type: string
Default: interchange
_Description: Group name to run the server as:
 This determines the group for the interchange server and for file
 permissions. Please note that using another user has serious security
 implications. Don't choose root, it is not recommended and will be
 discarded anyway.

Template: interchange/groupnoroot
Type: error
_Description: Impossible to run interchange as root !
 You have been warned. Either choose an appropriate group or stay with the
 default.

Template: interchange/creategroup
Type: boolean
Default: true
_Description: Create the group ${GROUP}?

Template: interchange/olduser
Type: string
Default: ""
Description: 

Template: interchange/docroot
Type: string
Default: /var/www/shops
_Description: Static HTML files location:
 Catalog installations need a directory where HTML files can be placed.

Template: interchange/gpghome
Type: string
Default: /var/lib/interchange/.gnupg
_Description: Directory for GnuPG public keyring:
 For enhanced security, credit card information retrieved from customers
 will be encrypted and mailed to the shop owner instead of storing it on
 the server.
 .
 Please choose the directory Interchange uses for the GnuPG
 public keyring.

Template: interchange/traffic
Type: select
_Choices: low, high, rpc
Default: low
_Description: Set of server parameters:
 You can choose different sets of server parameters. Any store based on the
 foundation demo will change its behaviour too. If rpc is selected, the
 Interchange server will run in PreFork mode.

Template: interchange/full_url
Type: boolean
Default: false
_Description: Enable the FullURL directive?
 This setting determines if the whole URL is considered while checking for
 the corresponding catalog.

Template: interchange/cansoap
Type: note
_Description: SOAP server not available
 Because the Perl module SOAP::Lite is not installed, you are unable to run
 the Interchange SOAP server. To change this, install the libsoap-lite-perl
 Debian package and run interchangeconfig SOAP=1.

Template: interchange/soap
Type: boolean
Default: false
_Description: Enable the SOAP server?
 This setting determines if the SOAP server is started or not.

Template: interchange/robots
Type: boolean
Default: true
_Description: Enable robots settings?
 The Interchange Debian package uses a separate configuration file
 /etc/interchange/robots.cfg for the directives RobotUA, RobotIP and
 RobotHost. It is recommended to include these settings so that Interchange can
 distinguish between robots and ordinary users.
